// moje startovn slo je 40


unit u40Uvod;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    inN: TEdit;
    buSpustit: TButton;
    buKonec: TButton;
    procedure buSpustitClick(Sender: TObject);
    procedure buKonecClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses u40Data, u40Hra;

{$R *.DFM}


procedure Chyba(const Zprava: string);
begin
   MessageDlg(Zprava, mtWarning, [mbOK], 0);
end;


procedure TForm1.buSpustitClick(Sender: TObject);
var i: integer;
begin
   try
      N := StrToInt(inN.text);
      if (N<2) or (N>10) then begin
         Chyba('N mus bt cel slo v rozsahu od 2 do 10');
         exit;
      end;
   except
      Chyba('N mus bt cel slo v rozsahu od 2 do 10');
      exit;
   end;

   SetLength(Sirky, (N+1)*N*2);
   for i := 0 to High(Sirky) do begin
      Sirky[i] := tShape.Create(foHra.paHra);
      foHra.paHra.InsertControl(Sirky[i]);
      Sirky[i].Brush.Color := Barva0;
      Sirky[i].Tag := i;
      Sirky[i].OnMouseDown := foHra.SirkaMouseDown;
      if i < Length(Sirky) div 2 then begin
         // na leato
         Sirky[i].Width  := RozmerX;
         Sirky[i].Height := RozmerY;
         Sirky[i].Left   := (i mod N) * (RozmerX + RozmerY) + RozmerY;
         Sirky[i].Top    := (i div N) * (RozmerX + RozmerY);
      end
      else begin
         // na stojato
         Sirky[i].Width := RozmerY;
         Sirky[i].Height := RozmerX;
         Sirky[i].Left   := ((i - Length(Sirky) div 2) mod (N+1)) * (RozmerX + RozmerY);
         Sirky[i].Top    := ((i - Length(Sirky) div 2) div (N+1)) * (RozmerX + RozmerY) + RozmerY;
      end;
   end;

   SetLength(Ctverce, N*N);
   for i := 0 to High(Ctverce) do begin
      Ctverce[i] := tShape.Create(foHra.paHra);
      foHra.paHra.InsertControl(Ctverce[i]);
      Ctverce[i].Visible := false;
      Ctverce[i].Width := RozmerX;
      Ctverce[i].Height := RozmerX;
      Ctverce[i].Left := (i mod N) * (RozmerX + RozmerY) + RozmerY;
      Ctverce[i].Top  := (i div N) * (RozmerX + RozmerY) + RozmerY;
   end;

   CisloHrace := 1;
   foHra.ShowHrac;
   Body1 := 0;
   Body2 := 0;
   foHra.ShowBody;
   IndexSirkyPodMysi := 0;

   Hide;
   foHra.ShowModal;
   Show;

   for i := 0 to High(Sirky) do begin
      foHra.paHra.RemoveControl(Sirky[i]);
      Sirky[i].Free;
   end;
   for i := 0 to High(Ctverce) do begin
      foHra.paHra.RemoveControl(Ctverce[i]);
      Ctverce[i].Free;
   end;
end;

procedure TForm1.buKonecClick(Sender: TObject);
begin
   close;
end;

end.
